Table of Contents

Class: ChatService | Twisted-0.17.4/twisted/protocols/oscar.py
--- | ---

Base Classes |
--- | ---

SNACBased

OscarConnection

protocol.Protocol

Methods |
--- | ---
__init__ joinChat leaveChat oscar_01_03 oscar_01_07 oscar_01_18 oscar_0D_09 room sendMessage
| __init__

    __init__ (
            self,
            bos,
            cookie,
            )

| joinChat

    joinChat ( self,  room )

| leaveChat

    leaveChat ( self,  room )

| oscar_01_03

    oscar_01_03 ( self,  snac )

| oscar_01_07

    oscar_01_07 ( self,  snac )

| oscar_01_18

    oscar_01_18 ( self,  snac )

| oscar_0D_09

    oscar_0D_09 ( self,  snac )

| room

    room ( self,  room )

| sendMessage

    sendMessage (
            self,
            room,
            message,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0